%define module_version 0.08
%define module_name Text-ScriptTemplate
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.08
Release: alt1
Summary: Standalone ASP/JSP/PHP-style template processor
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/T/TA/TAIY/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
This is a successor of Text::SimpleTemplate, a module for template-
based text generation.

Template-based text generation is a way to separate program code and
data, so non-programmer can control final result (like HTML) as desired
without tweaking the program code itself. By doing so, jobs like website
maintenance is much easier because you can leave program code unchanged
even if page redesign was needed.

The idea of this module is simple. Whenever a block of text surrounded
by '<%%' and '%%>' (or any pair of delimiters you specify) is found, it
will be taken as Perl expression, and will be handled specially by
template processing engine. With this module, Perl script and text
can be intermixed closely.

Major goal of this library is to provide support of powerful PHP-style
template with smaller resource. This is useful when PHP, Java/JSP,
or Apache::ASP is overkill, but their template style is still desired.

%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc README.TXT
%perl_vendor_privlib/T*

%changelog
* Thu May 01 2014 Igor Vlasenko <viy@altlinux.ru> 0.08-alt1
- initial import by package builder

